com.google.gwt.user.datepicker.client

## Interface DateBox.Format

All Known Implementing Classes:
  DateBox.DefaultFormat

Enclosing class:
  DateBox

    public static interface DateBox.Format

Implemented by a delegate to handle the parsing and formating of date values. The default `DateBox.Format` uses a new `DateBox.DefaultFormat` instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `format(DateBox dateBox, java.util.Date date)` Formats the provided date.
`java.util.Date` `parse(DateBox dateBox, java.lang.String text, boolean reportError)` Parses the provided string as a date.
`void` `reset(DateBox dateBox, boolean abandon)` If the format did any modifications to the date box's styling, reset them now.

### Method Detail

#### format

    java.lang.String format(DateBox dateBox,
                            java.util.Date date)

Formats the provided date. Note, a null date is a possible input.

Parameters:
  `dateBox` - the date box you are formatting
  `date` - the date to format
Returns:
  the formatted date as a string

#### parse

    java.util.Date parse(DateBox dateBox,
                         java.lang.String text,
                         boolean reportError)

Parses the provided string as a date.

Parameters:
  `dateBox` - the date box
  `text` - the string representing a date
  `reportError` - should the formatter indicate a parse error to the user?
Returns:
  the date created, or null if there was a parse error

#### reset

    void reset(DateBox dateBox,
               boolean abandon)

If the format did any modifications to the date box's styling, reset them now.

Parameters:
  `abandon` - true when the current format is being replaced by another
  `dateBox` - the date box